OGRE-Next: Ogre::HlmsLowLevelDatablock Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::HlmsLowLevelDatablock Class Reference
Component » Material

Contains information needed by the UI (2D) for OpenGL ES 2.0. More...

`#include <OgreHlmsLowLevelDatablock.h>`

Inheritance diagram for Ogre::HlmsLowLevelDatablock:
[legend]

## Public Member Functions
| HlmsLowLevelDatablock (IdString name, Hlms *creator, const HlmsMacroblock *macroblock, const HlmsBlendblock *blendblock, const HlmsParamVec &params)
virtual | ~HlmsLowLevelDatablock ()
Public Member Functions inherited from Ogre::HlmsDatablock
| HlmsDatablock (IdString name, Hlms *creator, const HlmsMacroblock *macroblock, const HlmsBlendblock *blendblock, const HlmsParamVec &params)
virtual | ~HlmsDatablock ()
void | _linkRenderable (Renderable *renderable)
void | _unlinkRenderable (Renderable *renderable)
virtual void | calculateHash ()
| Calculates the hashes needed for sorting by the RenderQueue (i.e. mTextureHash)
HlmsDatablock * | clone (String name) const
| Creates a copy of this datablock with the same settings, but a different name.
CompareFunction | getAlphaTest () const
bool | getAlphaTestShadowCasterOnly () const
float | getAlphaTestThreshold () const
const HlmsBlendblock * | getBlendblock (bool casterBlock=false) const
Hlms * | getCreator () const
virtual ColourValue | getDiffuseColour () const
| Returns the closest match for a diffuse colour, if applicable by the actual implementation.
virtual TextureGpu * | getDiffuseTexture () const
| Returns the closest match for a diffuse texture, if applicable by the actual implementation.
virtual ColourValue | getEmissiveColour () const
| Returns the closest match for a emissive colour, if applicable by the actual implementation.
virtual TextureGpu * | getEmissiveTexture () const
| Returns the closest match for a emissive texture, if applicable by the actual implementation.
void | getFilenameAndResourceGroup (String const **outFilename, String const **outResourceGroup) const
const vector< Renderable * >::type & | getLinkedRenderables () const
const HlmsMacroblock * | getMacroblock (bool casterBlock=false) const
IdString | getName () const
const String * | getNameStr () const
virtual bool | hasCustomShadowMacroblock () const
virtual void | preload ()
| Tells datablock to start loading all of its textures (if not loaded already) and any other resource it may need.
virtual void | saveTextures (const String &folderPath, set< String >::type &savedTextures, bool saveOitd, bool saveOriginal, HlmsTextureExportListener *listener)
virtual void | setAlphaTest (CompareFunction compareFunction, bool shadowCasterOnly=false, bool useAlphaFromTextures=true)
| Sets the alpha test to the given compare function.
virtual void | setAlphaTestThreshold (float threshold)
| Alpha test's threshold.
void | setBlendblock (const HlmsBlendblock &blendblock, bool casterBlock=false, bool overrideCasterBlock=true)
| Sets a new blendblock that matches the same parameter as the input.
void | setBlendblock (const HlmsBlendblock *blendblock, bool casterBlock=false, bool overrideCasterBlock=true)
| Sets the blendblock from the given pointer that was already retrieved from the HlmsManager.
void | setMacroblock (const HlmsMacroblock &macroblock, bool casterBlock=false, bool overrideCasterBlock=true)
| Sets a new macroblock that matches the same parameter as the input.
void | setMacroblock (const HlmsMacroblock *macroblock, bool casterBlock=false, bool overrideCasterBlock=true)
| Sets the macroblock from the given pointer that was already retrieved from the HlmsManager.

## Public Attributes
Material * | mProxyMaterial
Public Attributes inherited from Ogre::HlmsDatablock
bool | mAllowTextureResidencyChange
| When false, we won't try to have Textures become resident.
uint16 | mMacroblockHash [2]
float | mShadowConstantBias
uint32 | mTextureHash
uint8 | mType

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::HlmsDatablock
static const char * | getCmpString (CompareFunction compareFunction)

## Detailed Description

Contains information needed by the UI (2D) for OpenGL ES 2.0.

## Constructor & Destructor Documentation

## ◆ HlmsLowLevelDatablock()

Ogre::HlmsLowLevelDatablock::HlmsLowLevelDatablock | ( | IdString | name,
|  | Hlms * | creator,
|  | const HlmsMacroblock * | macroblock,
|  | const HlmsBlendblock * | blendblock,
|  | const HlmsParamVec & | params )

## ◆ ~HlmsLowLevelDatablock()

virtual Ogre::HlmsLowLevelDatablock::~HlmsLowLevelDatablock | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ mProxyMaterial

Material* Ogre::HlmsLowLevelDatablock::mProxyMaterial

The documentation for this class was generated from the following file:

- OgreHlmsLowLevelDatablock.h